Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hsmf.datatypes
Class Chunks

    java.lang.Object
      org.apache.poi.hsmf.datatypes.Chunks

All Implemented Interfaces:
  ChunkGroup

    public final class Chunks

extends java.lang.Object
implements ChunkGroup

Collection of convenience chunks for standard parts of the MSG file. Not all of these will be present in any given file

Field Summary
`static int` | `CONVERSATION_TOPIC`
`StringChunk` | `conversationTopic` Sort of like the subject line, but without the RE: and FWD: parts.
`static int` | `DISPLAY_BCC`
`static int` | `DISPLAY_CC`
`static int` | `DISPLAY_FROM`
`static int` | `DISPLAY_TO`
`StringChunk` | `displayBCCChunk` Value that shows in the BCC field
`StringChunk` | `displayCCChunk` value that shows in the CC field
`StringChunk` | `displayFromChunk` Value that is in the FROM field
`StringChunk` | `displayToChunk` Value that is in the TO field (not actually the addresses as they are stored in recip directory nodes
`static int` | `EMAIL_FROM`
`StringChunk` | `emailFromChunk` TODO
`static int` | `MESSAGE_CLASS`
`static int` | `MESSAGE_HEADERS`
`static int` | `MESSAGE_ID`
`StringChunk` | `messageClass` Type of message that the MSG represents (ie.
`StringChunk` | `messageHeaders` The email headers
`StringChunk` | `messageId` The message ID
`static int` | `SENT_BY_SERVER_TYPE`
`StringChunk` | `sentByServerType` Type of server that the message originated from (SMTP, etc).
`static int` | `SUBJECT`
`StringChunk` | `subjectChunk` Subject link chunk, in plain/text
`static int` | `SUBMISSION_ID_DATE`
`MessageSubmissionChunk` | `submissionChunk` TODO
`static int` | `TEXT_BODY`
`StringChunk` | `textBodyChunk` BODY Chunk, for plain/text messages

Constructor Summary
`Chunks()`

Method Summary
`Chunk[]` | `getAll()`
`Chunk[]` | `getChunks()` Returns the chunks that make up the group.
`void` | `record(Chunk chunk)` Called by the parser whenever a chunk is found.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MESSAGE_CLASS

    public static final int MESSAGE_CLASS

See Also:
  Constant Field Values

### SUBJECT

    public static final int SUBJECT

See Also:
  Constant Field Values

### SUBMISSION_ID_DATE

    public static final int SUBMISSION_ID_DATE

See Also:
  Constant Field Values

### CONVERSATION_TOPIC

    public static final int CONVERSATION_TOPIC

See Also:
  Constant Field Values

### SENT_BY_SERVER_TYPE

    public static final int SENT_BY_SERVER_TYPE

See Also:
  Constant Field Values

### MESSAGE_HEADERS

    public static final int MESSAGE_HEADERS

See Also:
  Constant Field Values

### DISPLAY_TO

    public static final int DISPLAY_TO

See Also:
  Constant Field Values

### DISPLAY_FROM

    public static final int DISPLAY_FROM

See Also:
  Constant Field Values

### EMAIL_FROM

    public static final int EMAIL_FROM

See Also:
  Constant Field Values

### DISPLAY_CC

    public static final int DISPLAY_CC

See Also:
  Constant Field Values

### DISPLAY_BCC

    public static final int DISPLAY_BCC

See Also:
  Constant Field Values

### TEXT_BODY

    public static final int TEXT_BODY

See Also:
  Constant Field Values

### MESSAGE_ID

    public static final int MESSAGE_ID

See Also:
  Constant Field Values

### messageClass

    public StringChunk messageClass

  Type of message that the MSG represents (ie. IPM.Note)

### textBodyChunk

    public StringChunk textBodyChunk

  BODY Chunk, for plain/text messages

### subjectChunk

    public StringChunk subjectChunk

  Subject link chunk, in plain/text

### displayToChunk

    public StringChunk displayToChunk

  Value that is in the TO field (not actually the addresses as they are stored in recip directory nodes

### displayFromChunk

    public StringChunk displayFromChunk

  Value that is in the FROM field

### displayCCChunk

    public StringChunk displayCCChunk

  value that shows in the CC field

### displayBCCChunk

    public StringChunk displayBCCChunk

  Value that shows in the BCC field

### conversationTopic

    public StringChunk conversationTopic

  Sort of like the subject line, but without the RE: and FWD: parts.

### sentByServerType

    public StringChunk sentByServerType

  Type of server that the message originated from (SMTP, etc).

### messageHeaders

    public StringChunk messageHeaders

  The email headers

### submissionChunk

    public MessageSubmissionChunk submissionChunk

  TODO

### emailFromChunk

    public StringChunk emailFromChunk

  TODO

### messageId

    public StringChunk messageId

  The message ID

Constructor Detail

### Chunks

    public Chunks()

Method Detail

### getAll

    public Chunk[] getAll()

### getChunks

    public Chunk[] getChunks()

  Description copied from interface: `ChunkGroup`
  Returns the chunks that make up the group. Should certainly contain all the interesting Chunks, but needn't always contain all of the Chunks.

  Specified by:
    `getChunks` in interface `ChunkGroup`

### record

    public void record(Chunk chunk)

  Called by the parser whenever a chunk is found.

  Specified by:
    `record` in interface `ChunkGroup`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD